package tomcatadmin;

import java.util.*;
import java.io.*;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author
 * @version 1.0
 */

public class TomcatAdmin {

  String fileName = System.getProperty( "user.home" ) +
    System.getProperty( "file.separator" ) + "tomcat-admin.properties";
  Runtime rt = Runtime.getRuntime();
  Properties prop = new Properties();

  public TomcatAdmin(){}

  public void load() throws FileNotFoundException, IOException{
    prop.load( new FileInputStream( fileName ) );
  }

  public Process startup( String serverName ) throws IOException{
    return rt.exec( (String)prop.get( serverName ) + "startup.bat" );
  }

  public Process shutdown( String serverName ) throws IOException{
    return rt.exec( (String)prop.get( serverName ) + "shutdown.bat" );
  }

  public Process restart( String serverName ) throws IOException{
    Process ps = rt.exec( (String)prop.get( serverName ) + "shutdown.bat" );
    try {
      ps.waitFor();
    }
    catch (InterruptedException ex) {}
    startup( serverName );
    return ps;
  }

}